This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 189846 - 'sort' regression
'sort' regression
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 22:07 EDT by Nerijus Baliūnas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 09:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2006-04-24 22:07:17 EDT
I have a commercial application which I cannot install. Application output:

   Type your choice: [ 2 ] 4
sort: invalid option -- 3
Try `sort --help' for more information.
sort: invalid option -- 3
Try `sort --help' for more information.

Loading appropriate product installation information...

It works if I use /bin/sort from FC4. I was not able to find exact command line
which causes this.
Comment 1 Tim Waugh 2006-04-25 04:50:37 EDT
What about if you do this first?:

export _POSIX2_VERSION=199209
Comment 2 Nerijus Baliūnas 2006-04-25 09:08:39 EDT
It works then.
Comment 3 Tim Waugh 2006-04-25 09:24:45 EDT
Then the commercial application needs porting to POSIX-200112.  See this info page:

info coreutils "Standards Conformance"

Note You need to log in before you can comment on or make changes to this bug.